Bug 8108 - REGRESSION (r13590-r13593): Floating table's cells don't paint their background
Summary: REGRESSION (r13590-r13593): Floating table's cells don't paint their background
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tables (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Beth Dakin
URL: http://www.ice.co.il/news_archive.asp
Keywords: Regression
Depends on:
Blocks:
 
Reported: 2006-03-31 13:05 PST by mitz
Modified: 2006-04-07 12:38 PDT (History)
1 user (show)

See Also:


Attachments
Test case (165 bytes, text/html)
2006-03-31 13:06 PST, mitz
no flags Details
Patch (583 bytes, patch)
2006-03-31 13:33 PST, Beth Dakin
sullivan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2006-03-31 13:05:38 PST
In the attached test case, the table cell should have a green background, but the table's red background is showing instead. If I remove the align attribute from the table (so that it doesn't float), the green background is painted.
Comment 1 mitz 2006-03-31 13:06:15 PST
Created attachment 7422 [details]
Test case
Comment 2 Beth Dakin 2006-03-31 13:33:52 PST
Created attachment 7423 [details]
Patch

Mitz and I just discussed this on IRC and he spotted my mistake. Just a silly typo...
Comment 3 Beth Dakin 2006-03-31 13:35:05 PST
Typo from my painting check-in yesterday, I should mention.
Comment 4 Beth Dakin 2006-03-31 13:47:27 PST
Fixed!
Comment 5 mitz 2006-04-04 01:50:49 PDT
Verified in r13675 nightly.